services:
  appflowy-cloud-minio-1:
    command:
    - server
    - /data
    - --console-address
    - :9001
    container_name: appflowy-cloud-minio-1
    entrypoint:
    - /usr/bin/docker-entrypoint.sh
    environment:
      MC_CONFIG_DIR: /tmp/.mc
      MINIO_ACCESS_KEY_FILE: '***SENSITIVE_VALUE*** (acce...)'
      MINIO_BROWSER_REDIRECT_URL: https://appflowy-server.pressmess.duckdns.org/minio
      MINIO_CONFIG_ENV_FILE: config.env
      MINIO_KMS_SECRET_KEY_FILE: '***SENSITIVE_VALUE*** (kms_...)'
      MINIO_ROOT_PASSWORD: '***SENSITIVE_VALUE*** (mini...)'
      MINIO_ROOT_PASSWORD_FILE: '***SENSITIVE_VALUE*** (secr...)'
      MINIO_ROOT_USER: minioadmin
      MINIO_ROOT_USER_FILE: access_key
      MINIO_SECRET_KEY_FILE: '***SENSITIVE_VALUE*** (secr...)'
      MINIO_UPDATE_MINISIGN_PUBKEY: '***SENSITIVE_VALUE*** (RWTx...)'
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    image: minio/minio
    restart: on-failure
    working_dir: /
